> For the complete documentation index, see [llms.txt](https://docs.usestencil.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.usestencil.com/api/endpoints/account.md).

# Account

For convenience, we also provide API endpoint to retrieve your account information

## Account information

<mark style="color:blue;">`GET`</mark> `https://api.usestencil.com/v1/account`

#### Headers

<table><thead><tr><th width="132.76300048828125">Name</th><th width="137.0738525390625">Type</th><th>Description</th></tr></thead><tbody><tr><td>Authorization</td><td>string</td><td>Must contain `Bearer &#x3C;API-Secret-Key>`.</td></tr></tbody></table>

{% tabs %}
{% tab title="200 Successful response upon a valid API key. current\_projectdescribes the scope of the API key." %}

```javascript
{
    "created_at": "2021-06-17T12:05:31",
    "current_project": {
        "description": "Steal the cake",
        "name": "Project 1"
    },
    "current_usage": 0,
    "email": "one@stencil.com",
    "id": "76baa621-283a-4b55-8236-3938e1cbf771",
    "limit_usage": 2000,
    "renewal_date": "2021-07-17T12:27:08Z"
}
```

{% endtab %}

{% tab title="401 Invalid API key will return 401 status" %}

```javascript
"Unauthorized"
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
This API endpoint is also useful when integrating with Integromat to check for a valid account. `200` status response is only returned when API key is valid.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usestencil.com/api/endpoints/account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
